Aegir Documentation Project
===========================

This project aims to document the Aegir Hosting System. It uses [MkDocs](https://www.mkdocs.org/) to build the site at [docs.aegirproject.org](https://docs.aegirproject.org/). To get started contributing to this project, fork it on GitLab.com. Then install MkDocs and clone this repo:

    # brew install python; pip install mkdocs  # For OSX users
    # apt install mkdocs                       # For Debian/Ubuntu users
    $ git clone https://gitlab.com/aegir/documentation.git aegir-docs
    $ cd aegir-docs
    $ git remote add sandbox https://gitlab.com/<username>/documentation.git
    $ mkdocs serve

Your local aegir-docs site should now be available for browsing: [http://127.0.0.1:8000/](http://127.0.0.1:8000/). When you find a typo, an error, unclear or missing explanations or instructions, hit ctrl-c, to stop the server, and start editing. Find the page you’d like to edit; everything is in the docs/ directory. Make your changes, commit and push them, and start a pull/merge request:

    $ git checkout -b fix_typo
    $ ls -p docs/
    index.md    install/    install.md  quick-start.md
    $ vim docs/quick-start.md               # Add/edit/remove whatever you see fit. Be bold!
    $ mkdocs build --clean; mkdocs serve    # Go check your changes. We’ll wait...
    $ git diff                              # Make sure there aren’t any unintended changes.
    diff --git a/docs/quick-start.md b/docs/quick-start.md
    index 88f9974..e69de29 100644
    ...
    $ git commit -am”Fixed typo.”           # Useful commit message are a good habit.
    $ git push sandbox fix_typo

Visit your fork on GitLab and start a Merge Request. After we accept a merge/pull request or two, we’ll probably invite you to join the project team, and thus grant you commit rights to the main documentation project.

